{
    attributes = (
        {
            columnName = "CAP_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "CPV_ID"; }; 
            name = capId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAP_POURCENTAGE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "CPV_POURCENTAGE"; }; 
            name = capPourcentage; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "CAT_ID"; 
            externalType = NUMBER; 
            name = catId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYPU_ID"; 
            externalType = NUMBER; 
            name = typuId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (capId, catId, typuId); 
    className = "org.cocktail.kava.server.metier.EOCataloguePublic"; 
    classProperties = (capPourcentage, catalogue, typePublic); 
    externalName = "jefy_recette.catalogue_public"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (capPourcentage, catalogue, typePublic); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOCataloguePublic"; 
        "_nameInObjectStore" = "catalogue_public_vise"; 
    }; 
    name = CataloguePublic; 
    primaryKeyAttributes = (capId); 
    relationships = (
        {
            destination = Catalogue; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = catId; sourceAttribute = catId; }); 
            name = catalogue; 
        }, 
        {
            destination = TypePublic; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = typuId; sourceAttribute = typuId; }); 
            name = typePublic; 
        }
    ); 
}
